Loading...
Searching...
No Matches
smartlock::DoorAccessControl::DoorAccessGrantedEvent Struct Reference

Event: Door access granted. More...

`import "DoorAccessControl.idl";`

Inheritance diagram for smartlock::DoorAccessControl::DoorAccessGrantedEvent:

## Public Attributes

int | ruleId
| Rule id of rule that granted access.
DoorAccessRule | rule
| Rule settings of rule that granted access, cardUid and pin will be filtered.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Door access granted.

This Event will be triggered for every rule whose conditions were fulfilled.

Definition at line 127 of file DoorAccessControl.idl.

## Member Data Documentation

## rule

DoorAccessRule smartlock::DoorAccessControl::DoorAccessGrantedEvent::rule

Rule settings of rule that granted access, cardUid and pin will be filtered.

Definition at line 129 of file DoorAccessControl.idl.

## ruleId

int smartlock::DoorAccessControl::DoorAccessGrantedEvent::ruleId

Rule id of rule that granted access.

Definition at line 128 of file DoorAccessControl.idl.

The documentation for this struct was generated from the following file:

- DoorAccessControl.idl